How to specify xcode-select for Command Line Tools

This is more of a personal note. It happens when I am install Node.js 0.10.3. It seems like xcode-select is triggered by GYP. I get an error message like this:

I’m on a system that doesn’t have XCode installed fully and instead I just install the Command Line Tools provided by Apple.

To solve this issue, run:

[code lang=”bash”]sudo xcode-select -switch /Library/Developer/[/code]

Then you can now run:

[code lang=”bash”]./configure
make
sudo make install[/code]

Hope it helps!

Leave a Reply

Your email address will not be published. Required fields are marked *